## logdata-anomaly-miner 0.0.2

=== debian/changelog ===
logdata-anomaly-miner (0.0.2-1) unstable; urgency=low

  * Initial inclusion of logdata-anomaly-miner to Debian
    (Closes: #813096)

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Thu,  9 Jun 2016 12:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python2,systemd

override_dh_auto_build:
	xsltproc --nonet \
	--param make.year.ranges 1 \
	--param make.single.year.ranges 1 \
	--param man.charmap.use.subset 0 \
	-o debian/ \
	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	debian/AMiner.1.xml debian/AMinerRemoteControl.1.xml
	dh_auto_build

## logdata-anomaly-miner 0.0.3

=== debian/changelog ===
logdata-anomaly-miner (0.0.3-2) unstable; urgency=low

  * Packaging fix: unowned directory after purge (Closes: #832347).

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Tue,  2 Aug 2016 15:15:00 +0000

logdata-anomaly-miner (0.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #832058).

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Thu, 21 Jul 2016 19:00:00 +0000

## logdata-anomaly-miner 0.0.5

=== debian/changelog ===
logdata-anomaly-miner (0.0.5-1) unstable; urgency=low

  * New upstream release (Closes: #840447).

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Tue, 11 Oct 2016 18:00:00 +0000

## logdata-anomaly-miner 0.0.6

=== debian/changelog ===
logdata-anomaly-miner (0.0.6-1) unstable; urgency=low

  New upstream release V0.0.6, see
  https://launchpad.net/logdata-anomaly-miner/+milestone/v0.0.6

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Fri, 4 Nov 2016 18:00:00 +0000

## logdata-anomaly-miner 2.2.2

=== requirements.txt ===
kafka_python==2.0.2
scipy==1.5.4
Cerberus==1.3.2
pytz==2020.4
numpy==1.17.4
kafka==1.3.5
psutil==5.7.3
python_dateutil==2.8.1
PyYAML==5.3.1

## logdata-anomaly-miner 0.0.7

=== debian/changelog ===
logdata-anomaly-miner (0.0.7-1) unstable; urgency=low

  New upstream release V0.0.7, see
  https://launchpad.net/logdata-anomaly-miner/+milestone/v0.0.7

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Mon,  9 Jan 2017 18:00:00 +0000

=== debian/control ===
Source: logdata-anomaly-miner
Section: admin
Priority: optional
Maintainer: Roman Fiedler <roman.fiedler@ait.ac.at>
Build-Depends: debhelper (>= 9.0.0), dh-python, dh-systemd, docbook-xsl, docbook-xml, python-all, xsltproc
Standards-Version: 3.9.8
Homepage: https://launchpad.net/logdata-anomaly-miner/
Vcs-Git: https://git.launchpad.net/logdata-anomaly-miner
Vcs-Browser: https://git.launchpad.net/logdata-anomaly-miner/tree/

Package: logdata-anomaly-miner
Architecture: all
Depends: ${python:Depends}, python-tz, ${misc:Depends}
Suggests: python-scipy
Description: This tool allows one to create log analysis pipelines
 to analyze log data streams and detect violations or anomalies
 in it. It can be run from console, as daemon with e-mail alerting
 or embedded as library into own programs. It was designed to
 run the analysis with limited resources and lowest possible permissions
 to make it suitable for production server use. Analysis methods
 include:
 .
  * static check patterns similar to logcheck but with extended
    syntax and options.
  * detection of new data elements (IPs, user names, MAC addresses)
  * statistical anomalies in log line values and frequencies
  * correlation rules between log lines as described in th AECID
    approach http://dx.doi.org/10.1016/j.cose.2014.09.006
 .
 The tool is suitable to replace logcheck but also to operate
 as a sensor feeding a SIEM.
 .
 Please report bugs at https://bugs.launchpad.net/logdata-anomaly-miner/+filebug

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://launchpad.net/logdata-anomaly-miner/+download .*/trunk/[a-z0-9.]+/\+download/logdata-anomaly-miner-([0-9~_.]+).tar.gz

## logdata-anomaly-miner 1.0.0

=== debian/changelog ===
logdata-anomaly-miner (1.0.0-1) unstable; urgency=low

  New upstream release V1.0.0, see
  https://launchpad.net/logdata-anomaly-miner/+milestone/v1.0.0

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Tue,  2 Oct 2018 17:00:00 +0000

logdata-anomaly-miner (0.0.8-1) unstable; urgency=low

  New upstream release V0.0.8, see
  https://launchpad.net/logdata-anomaly-miner/+milestone/v0.0.8

 -- Roman Fiedler <roman.fiedler@ait.ac.at>  Tue, 30 May 2017 17:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: logdata-anomaly-miner
 Section: admin
 Priority: optional
-Maintainer: Roman Fiedler <roman.fiedler@ait.ac.at>
-Build-Depends: debhelper (>= 9.0.0), dh-python, dh-systemd, docbook-xsl, docbook-xml, python-all, xsltproc
-Standards-Version: 3.9.8
+Maintainer: Markus Wurzenberger <markus.wurzenberger@ait.ac.at>
+Build-Depends: debhelper (>= 11.0.0), dh-python, docbook-xsl, docbook-xml, python3-all , xsltproc
+Standards-Version: 4.2.1
 Homepage: https://launchpad.net/logdata-anomaly-miner/
 Vcs-Git: https://git.launchpad.net/logdata-anomaly-miner
 Vcs-Browser: https://git.launchpad.net/logdata-anomaly-miner/tree/
 
 Package: logdata-anomaly-miner
 Architecture: all
-Depends: ${python:Depends}, python-tz, ${misc:Depends}
+Depends: ${python3:Depends}, python3-tz, ${misc:Depends}
 Suggests: python-scipy
 Description: This tool allows one to create log analysis pipelines
  to analyze log data streams and detect violations or anomalies

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export DH_VERBOSE=1
 
 %:
-	dh $@ --with=python2,systemd
+	dh $@ --with=python3
 
 override_dh_auto_build:
 	xsltproc --nonet \
@@ -16,3 +16,10 @@
 	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
 	debian/AMiner.1.xml debian/AMinerRemoteControl.1.xml
 	dh_auto_build
+
+# Modify startup behaviour in auto-generated code in postinst:
+# Do not attempt to add aminer.service to autostart if user does
+# not want to have it running explicitely. See "Running as a Service"
+# from /usr/share/doc/aminer/Readme.txt.gz for more information.
+override_dh_installsystemd:
+	dh_installsystemd --no-enable

## logdata-anomaly-miner 2.2.0

=== debian/changelog ===
logdata-anomaly-miner (2.2.0-1) unstable; urgency=low

  [ Markus Wurzenberger ]
  * New upstream release V2.2.0

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
  * debian/logdata-anomaly-miner.maintscript: Move conffiles to new location
  * debian/logdata-anomaly-miner.links: Add link for aminer-peristence.py
  * debian/patches: Add hashbang to aminer-peristence.py
  * debian/rules:
    - Simplify rules by using execute_before_dh_auto_build target
    - Remove executable bits of some Python modules

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Tue, 22 Dec 2020 12:20:17 +0100

logdata-anomaly-miner (2.0.1-1) unstable; urgency=low

  * New upstream release V2.0.1
  * Bump debhelper compat to 13
  * Switch to new upstream location on Github
  * Update description
  * Provide upstream metadata

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Tue, 30 Jun 2020 14:42:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,20 @@
 %:
 	dh $@ --with=python3
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	xsltproc --nonet \
 	--param make.year.ranges 1 \
 	--param make.single.year.ranges 1 \
 	--param man.charmap.use.subset 0 \
 	-o debian/ \
 	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
-	debian/AMiner.1.xml debian/AMinerRemoteControl.1.xml
-	dh_auto_build
+	debian/aminer.1.xml debian/aminerremotecontrol.1.xml
+
+execute_after_dh_install:
+	chmod a-x \
+		debian/logdata-anomaly-miner/usr/lib/logdata-anomaly-miner/aminer/analysis/NewMatchPathValueComboDetector.py \
+		debian/logdata-anomaly-miner/usr/lib/logdata-anomaly-miner/aminer/analysis/NewMatchPathValueDetector.py \
+		debian/logdata-anomaly-miner/usr/lib/logdata-anomaly-miner/aminer/analysis/__init__.py
 
 # Modify startup behaviour in auto-generated code in postinst:
 # Do not attempt to add aminer.service to autostart if user does

## logdata-anomaly-miner 2.2.2

=== debian/changelog ===
logdata-anomaly-miner (2.2.2-1) unstable; urgency=low

  * New upstream release V2.2.2, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.2.2

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Sun, 31 Jan 2021 11:19:33 +0100

logdata-anomaly-miner (2.2.1-1) unstable; urgency=low

  [ Markus Wurzenberger ]
  * New upstream release V2.2.1, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.2.1

  [ Sebastian Ramacher ]
  * debian/patches: Removed, integrated upstream

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Mon, 25 Jan 2021 12:00:00 +0000

=== debian/control ===
Source: logdata-anomaly-miner
Section: admin
Priority: optional
Maintainer: Markus Wurzenberger <markus.wurzenberger@ait.ac.at>
Build-Depends: debhelper-compat (= 13), dh-python, docbook-xsl, docbook-xml, python3, xsltproc
Standards-Version: 4.5.1
Homepage: https://aecid.ait.ac.at/
Vcs-Git: https://github.com/ait-aecid/logdata-anomaly-miner.git
Vcs-Browser: https://github.com/ait-aecid/logdata-anomaly-miner
Rules-Requires-Root: no

Package: logdata-anomaly-miner
Architecture: all
Depends: ${python3:Depends}, python3-tz, ${misc:Depends}, python3-cerberus, python3-pkg-resources, python3-setuptools
Suggests: python3-scipy
Description: tool for log analysis pipelines
 This tool allows one to analyze log data streams and detect violations or
 anomalies in it. It can be run from console, as daemon with e-mail alerting,
 or embedded as library into own programs. It was designed to run the analysis
 with limited resources and lowest possible permissions to make it suitable for
 production server use. Analysis methods include:
 .
  * log line parsing and filtering with extended syntax and options
  * detection of new data elements (IPs, user names, MAC addresses)
  * statistical anomalies in log line values and frequencies
  * correlation rules between log lines
 .
 The tool is suitable to operate as a sensor feeding a SIEM and distributing
 messages via message queues.

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 # from /usr/share/doc/aminer/Readme.txt.gz for more information.
 override_dh_installsystemd:
 	dh_installsystemd --no-enable
+
+override_dh_installchangelogs:
+	dh_installchangelogs changelog

## logdata-anomaly-miner 2.5.0

=== requirements.txt ===
scipy==1.5.4
pylibacl==0.5.4
kafka_python==2.0.2
pytz==2020.4
urllib3==1.26.5
numpy==1.17.4
Cerberus==1.3.2
psutil==5.7.3
kafka==1.3.5
python_dateutil==2.8.1
PyYAML==5.4
statsmodels==0.12.2

=== debian/changelog ===
logdata-anomaly-miner (2.5.0-1) unstable; urgency=low

  [ Markus Wurzenberger ]
  * New upstream release V2.5.0, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.5.0

  [ Sebastian Ramacher ]
  * debian/rules: Remove obsolete override
  * debian/control: Bump Standards-Version

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Mon, 06 Dec 2021 11:02:01 +0100

logdata-anomaly-miner (2.4.2-1) unstable; urgency=low

  * New upstream release V2.4.2, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.4.2

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Tue,  23 Nov 2021 12:00:00 +0000

logdata-anomaly-miner (2.4.1-1) unstable; urgency=low

  * New upstream release V2.4.1, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.4.1

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Fri,  23 Jul 2021 12:00:00 +0000

logdata-anomaly-miner (2.4.0-1) unstable; urgency=low

  * New upstream release V2.4.0, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.4.0

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Fri,  04 Jun 2021 12:00:00 +0000

logdata-anomaly-miner (2.3.1-1) unstable; urgency=low

  * New upstream release V2.3.1, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.3.1

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Thu,  08 Apr 2021 12:00:00 +0000

logdata-anomaly-miner (2.3.0-1) unstable; urgency=low

  * New upstream release V2.3.0, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.3.0

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Mon,  29 Mar 2021 12:00:00 +0000

## logdata-anomaly-miner 2.6.0

=== docs/requirements.txt ===
sphinx==3.5.1
sphinx_rtd_theme==0.5.1
recommonmark

=== debian/changelog ===
logdata-anomaly-miner (2.6.0-1) unstable; urgency=low

  [ Markus Wurzenberger ]
  * New upstream release V2.6.0, see
    https://github.com/ait-aecid/logdata-anomaly-miner/releases/tag/V2.6.0

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version
  * debian/copyright: Update copyright years

 -- Markus Wurzenberger <markus.wurzenberger@ait.ac.at>  Wed, 01 Feb 2023 21:46:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Markus Wurzenberger <markus.wurzenberger@ait.ac.at>
 Build-Depends: debhelper-compat (= 13), dh-python, docbook-xsl, docbook-xml, python3, xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://aecid.ait.ac.at/
 Vcs-Git: https://github.com/ait-aecid/logdata-anomaly-miner.git
 Vcs-Browser: https://github.com/ait-aecid/logdata-anomaly-miner

## logdata-anomaly-miner 2.6.1

=== requirements.txt ===
scipy==1.5.4
pylibacl==0.5.4
kafka_python==2.0.2
pytz==2020.4
urllib3==1.26.5
numpy==1.22.0
Cerberus==1.3.2
psutil==5.7.3
kafka==1.3.5
pyzmq==20.0.0
python_dateutil==2.8.1
PyYAML==5.4
statsmodels==0.12.2

=== debian/changelog ===
logdata-anomaly-miner (2.6.1-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version
    - Use dh-sequence-python3
    - Use dh-sequence-movetousr to move files to /usr

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Jun 2024 16:41:52 +0200

logdata-anomaly-miner (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * debian/gbp.conf: set debian branch
  * debian/control:
    - Move Debian packaging to salsa
    - Add myself to Uploaders

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 Oct 2023 16:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,31 @@
 Section: admin
 Priority: optional
 Maintainer: Markus Wurzenberger <markus.wurzenberger@ait.ac.at>
-Build-Depends: debhelper-compat (= 13), dh-python, docbook-xsl, docbook-xml, python3, xsltproc
-Standards-Version: 4.6.2
+Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-python3,
+ dh-sequence-movetousr,
+ docbook-xsl,
+ docbook-xml,
+ python3,
+ xsltproc
+Standards-Version: 4.7.0
 Homepage: https://aecid.ait.ac.at/
-Vcs-Git: https://github.com/ait-aecid/logdata-anomaly-miner.git
-Vcs-Browser: https://github.com/ait-aecid/logdata-anomaly-miner
+Vcs-Git: https://salsa.debian.org/sramacher/logdata-anomaly-miner.git
+Vcs-Browser: https://salsa.debian.org/sramacher/logdata-anomaly-miner
 Rules-Requires-Root: no
 
 Package: logdata-anomaly-miner
 Architecture: all
-Depends: ${python3:Depends}, python3-tz, ${misc:Depends}, python3-cerberus, python3-pkg-resources, python3-setuptools
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-cerberus,
+ python3-pkg-resources,
+ python3-setuptools,
+ python3-tz
 Suggests: python3-scipy
 Description: tool for log analysis pipelines
  This tool allows one to analyze log data streams and detect violations or

## logdata-anomaly-miner 2.8.0

=== requirements.txt ===
orjson
pyzmq
cerberus
kafka-python==2.0.6
patsy
statsmodels
importlib-metadata
tz
scipy
numpy
setuptools
dateutil
six
kafka
urllib3
defusedxml
yaml
patsy
pylibacl
mypy
pytz

=== debian/changelog ===
logdata-anomaly-miner (2.8.0-2) unstable; urgency=medium

  * debian/logdata-anomaly-miner.maintscript: Removed, no longer needed
  * debian/control: Switch to python3-pytz
  * debian/: Handle user and ownerships via systemd

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 03 Sep 2025 11:04:28 +0200

logdata-anomaly-miner (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0
  * debian/control:
    - Bump Standards-Version
    - Remove python3-pkg-resources and python3-setuptools from Depends
      (Closes: #1083466)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Aug 2025 10:55:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  docbook-xml,
  python3,
  xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://aecid.ait.ac.at/
 Vcs-Git: https://salsa.debian.org/sramacher/logdata-anomaly-miner.git
 Vcs-Browser: https://salsa.debian.org/sramacher/logdata-anomaly-miner
@@ -24,10 +24,9 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-cerberus,
- python3-pkg-resources,
- python3-setuptools,
- python3-tz
-Suggests: python3-scipy
+ python3-pytz
+Suggests:
+ python3-scipy
 Description: tool for log analysis pipelines
  This tool allows one to analyze log data streams and detect violations or
  anomalies in it. It can be run from console, as daemon with e-mail alerting,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

execute_before_dh_auto_build:
	xsltproc --nonet \
	--param make.year.ranges 1 \
	--param make.single.year.ranges 1 \
	--param man.charmap.use.subset 0 \
	-o debian/ \
	http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	debian/aminer.1.xml debian/aminerremotecontrol.1.xml

# Modify startup behaviour in auto-generated code in postinst:
# Do not attempt to add aminer.service to autostart if user does
# not want to have it running explicitely. See "Running as a Service"
# from /usr/share/doc/aminer/Readme.txt.gz for more information.
override_dh_installsystemd:
	dh_installsystemd --no-enable

override_dh_installchangelogs:
	dh_installchangelogs changelog
